%{?!python_module:%define python_module() python3-%{**}}
%global pypi_name jupyter_packaging

Name:           python-jupyter-packaging
Version:        0.12.3
Release:        %mkrel 3
Summary:        Jupyter Packaging Utilities
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyter/jupyter-packaging
Source:         https://files.pythonhosted.org/packages/source/j/jupyter-packaging/jupyter_packaging-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
This package contains utilities for making Python packages
with and without accompanying JavaScript packages.

%package -n python3-jupyter-packaging
Summary:        Jupyter Packaging Utilities
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-jupyter-packaging
This package contains utilities for making Python packages
with and without accompanying JavaScript packages.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Drop dependencies on coverage, linters etc.
sed -Ei 's/"(coverage|pre-commit|pytest-cov)",//g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -w -x test

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# Some tests are trying to install packages to /usr
# - https://github.com/jupyter/jupyter-packaging/issues/63
%pytest -k "\
not test_build_package and \
not test_create_cmdclass and \
not test_deprecated_metadata and \
not test_develop and \
not test_install and \
not test_install_hybrid and \
not test_run \
" \
-W "ignore:pkg_resources is deprecated as an API:DeprecationWarning"
#DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.htm
# ^^^
# Workaround pkg_resources deprecation warning leaking from
# setuptools:
# https://github.com/pypa/setuptools/issues/3878

%files -n python3-jupyter-packaging -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Mar 02 2025 wally <wally> 0.12.3-3.mga10
+ Revision: 2156542
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 0.12.3-2.mga10
+ Revision: 2021866
- rebuild for py3.12
- clean BRs
- workaround test failure

* Wed Sep 07 2022 neoclust <neoclust> 0.12.3-1.mga9
+ Revision: 1884893
- New version  0.12.3

* Fri Jul 01 2022 joequant <joequant> 0.12.2-1.mga9
+ Revision: 1866927
- fix deps
- update deps
- fix deps
- update to 0.12.2

* Sat Mar 26 2022 umeabot <umeabot> 0.8.2-4.mga9
+ Revision: 1828628
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 0.8.2-3.mga9
+ Revision: 1783547
- Rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.8.2-2.mga9
+ Revision: 1717376
- make it as a noarch package
- use our release tag

* Sat Apr 10 2021 joequant <joequant> 0.8.2-1.mga9
+ Revision: 1714447
- update deps
- imported package python-jupyter-packaging

